#!/usr/bin/env ruby
#
# $Id: chkclr.rb,v 1.2 2003/10/18 15:07:04 Yuukis Exp $
#

require 'gtk'

csd = Gtk::ColorSelectionDialog.new("Color Selection")
csd.colorsel.set_color([0.1, 0.1, 0.1])

csd.ok_button.child.set_text('Print Selected Color')
csd.ok_button.signal_connect('clicked'){
	r, g, b = csd.colorsel.get_color
	print "#{Integer(r * 65535)}, "
	print "#{Integer(g * 65535)}, "
	print "#{Integer(b * 65535)}\n"
}

csd.cancel_button.child.set_text('Close this Window')
csd.cancel_button.signal_connect('clicked'){ Gtk.main_quit }

csd.signal_connect('delete_event') { Gtk::main_quit }
csd.show_all
csd.help_button.hide
Gtk.main

